Redmine - Defect #16161

Parent task search and datepicker not available after changing status
2014-02-24 14:20 - Daniele Pedroni

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 244

Resolution: Fixed Affected version: 242
Description

| played a bit with read only field for trackers and users throughout all my Redmine setup, but now | found out a problem.
When | try to create a new issue, only Tracker, Status and Parent Task fields are visible, and Parent Task has its Magnifier lens
image in it, so if | type something it the field, it starts the contextual search.

Tracker * g Bugfix v
Status *  _pjank - v Parent task
Files Scegli file | Nessun file selezionato (Maximum size: 20 ME)

But then, when | change the status and the page is redrawn as per specific tracker/issue, Parent Task loses its Magnifier and the
capability of search with it; same thing for due date and start date datepicker, not available at all.

Tracker *  gw Bugfix v
Subject *

Description

Status * ST pew/Draft v Parent task
Priority *  ormal v Startdate 3014.02-24
Assignee v Due date

Finally, if | create the issue and then try to update it, both Parent Task search and datepicker are back as usual.
Any idea?

My Redmine installation comes from Bitnami stack 2.4.2-0, containing:
- Redmine 2.4.2

- Apache 2.4.7

- ImageMagick 6.7.5

- MySQL 5.5.34

- Subversion 1.8.4

-Git1.8.3

- Ruby 1.9.3-p484

- Rails 3.2.16

- RubyGems 1.8.12

and plugins:

- extended fields 0.2.2

- projects table plugin 0.0.4

- DMSF 1.4.7 stable

- Redmine Multi Column Custom Fields plugin 0.0.1
- Redmine Tracker Control plugin 1.0.8
Related issues:
Related to Redmine - Defect #16270: Patch not working as expected from #16161... Closed

Associated revisions

Revision 12941 - 2014-02-28 13:52 - Jean-Philippe Lang

Always load formatter scripts for when the description is read-only on page load (#16161).

Revision 12942 - 2014-02-28 13:53 - Jean-Philippe Lang
Merged r12941 (#16161).

Revision 12943 - 2014-02-28 13:53 - Jean-Philippe Lang
Merged r12941 (#16161).

History

#1 - 2014-02-28 13:54 - Jean-Philippe Lang
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.4.4

- Resolution set to Fixed

This was due to the fact that the description field was read-only when the page is loaded.
It's fixed in r12941, thanks for poiting this out.

#2 - 2014-02-28 14:15 - Daniele Pedroni

- Status changed from Closed to Reopened

Sorry JPL,

following your explanation | tried disabling read only attribute for Description field, in order to get the scripts back without having to wait for 2.4.4
release, but with no luck: | see also Description before changing status, but the datepicker and contextual search for Parent task are still missing.
Even with all global fields without read only property (I left other custom fields as read only, but | don't think it could be related), the problem is

present.

| didn't restart Redmine process after workflow modification, but | don't understand why this should be necessary... Are you sure your patch will work
in any condtion?

Thank you for your great support.

#3 - 2014-02-28 17:03 - Jean-Philippe Lang

- Status changed from Reopened to Needs feedback

Well, | was able to reproduce with the configuration as in your first screenshot and r12941 fixed it. Tested with Chrome and Firefox.

Maybe a plugin issue, please try this out without any plugin.

#4 - 2014-03-02 10:32 - Jean-Philippe Lang
- Status changed from Needs feedback to Closed

I'm closing it. Please open a new ticket if you find another case that breaks.

#5 - 2014-03-14 10:54 - Toshi MARUYAMA
- Related to Defect #16270: Patch not working as expected from #16161 in r12491 added
